## org.hibernate.metamodel.source.annotations.global
Class TableBinder

    java.lang.Object
      org.hibernate.metamodel.source.annotations.global.TableBinder

    public class TableBinder

extends Object

Binds table related information. This binder is called after the entities are bound.

Method Summary
`static void` `bind(AnnotationBindingContext bindingContext)` Binds `Tables` and `Table` annotations to the supplied metadata.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### bind

    public static void bind(AnnotationBindingContext bindingContext)

  Binds `Tables` and `Table` annotations to the supplied metadata.

  Parameters:
    `bindingContext` - the context for annotation binding

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.